## CORBA Interface IServer

### Definition

CORBA Module SASTableServer

### IServer Description

CORBA Definitions
method CreateSession |
method CreateConnectionWithAttrs |
method CreateConnectedConnectionWithAttrs |

Java Classes
IServerHelper | Used to manipulate the IServer type
IServerHolder | Used to process the IServer type as an out parameter

Java Interfaces
IServer |

Java Interface IServer

Package com.sas.iom.SASTableServer

IServer Description

`public interface IServer
extends org.omg.CORBA.Object`

Method Summary

ISession | CreateSession ( java.lang.String localeName ) throws ( GenericError );
void | CreateConnectionWithAttrs ( java.lang.String localeName , int[] envAttrs , int[] envAttrsIndicators , any[] envAttrsValues , int[] conAttrs , int[] conAttrsIndicators , any[] conAttrsValues , ISessionHolder session , IEnvironmentHolder environment , IntSeqHolder envAttrsStatus , IConnectionHolder connection , IntSeqHolder conAttrsStatus ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | CreateConnectedConnectionWithAttrs ( java.lang.String localeName , int[] envAttrs , int[] envAttrsIndicators , any[] envAttrsValues , int[] conAttrsPre , int[] conAttrsIndicatorsPre , any[] conAttrsValuesPre , java.lang.String inConnectionString , DriverCompletionOptions driverCompletion , int[] conAttrsPost , int[] conAttrsIndicatorsPost , any[] conAttrsValuesPost , ISessionHolder session , IEnvironmentHolder environment , IntSeqHolder envAttrsStatus , IConnectionHolder connection , IntSeqHolder conAttrsStatusPre , org.omg.CORBA.StringHolder outConnectionString , IntSeqHolder conAttrsStatusPost ) throws ( GenericError );

Java Class IServerHelper

public class IServerHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IServer type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerHelper

Java Class IServerHolder

public class IServerHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IServer type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerHolder

CORBA Method CreateSession

Description

Usage

Java Method CreateSession

`public ISession` CreateSession (

        java.lang.String localeName
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
localeName | in | java.lang.String |

Example

CORBA Method CreateConnectionWithAttrs

Description

Usage

Java Method CreateConnectionWithAttrs

`void` CreateConnectionWithAttrs (

        java.lang.String localeName ,
        int[] envAttrs ,
        int[] envAttrsIndicators ,
        any[] envAttrsValues ,
        int[] conAttrs ,
        int[] conAttrsIndicators ,
        any[] conAttrsValues ,
        ISessionHolder session ,
        IEnvironmentHolder environment ,
        IntSeqHolder envAttrsStatus ,
        IConnectionHolder connection ,
        IntSeqHolder conAttrsStatus
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
localeName | in | java.lang.String |
envAttrs | in | int[] |
envAttrsIndicators | in | int[] |
envAttrsValues | in | any[] |
conAttrs | in | int[] |
conAttrsIndicators | in | int[] |
conAttrsValues | in | any[] |
session | out | ISessionHolder |
environment | out | IEnvironmentHolder |
envAttrsStatus | out | IntSeqHolder |
connection | out | IConnectionHolder |
conAttrsStatus | out | IntSeqHolder |

Example

CORBA Method CreateConnectedConnectionWithAttrs

Description

Usage

Java Method CreateConnectedConnectionWithAttrs

`void` CreateConnectedConnectionWithAttrs (

        java.lang.String localeName ,
        int[] envAttrs ,
        int[] envAttrsIndicators ,
        any[] envAttrsValues ,
        int[] conAttrsPre ,
        int[] conAttrsIndicatorsPre ,
        any[] conAttrsValuesPre ,
        java.lang.String inConnectionString ,
        DriverCompletionOptions driverCompletion ,
        int[] conAttrsPost ,
        int[] conAttrsIndicatorsPost ,
        any[] conAttrsValuesPost ,
        ISessionHolder session ,
        IEnvironmentHolder environment ,
        IntSeqHolder envAttrsStatus ,
        IConnectionHolder connection ,
        IntSeqHolder conAttrsStatusPre ,
        org.omg.CORBA.StringHolder outConnectionString ,
        IntSeqHolder conAttrsStatusPost
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
localeName | in | java.lang.String |
envAttrs | in | int[] |
envAttrsIndicators | in | int[] |
envAttrsValues | in | any[] |
conAttrsPre | in | int[] |
conAttrsIndicatorsPre | in | int[] |
conAttrsValuesPre | in | any[] |
inConnectionString | in | java.lang.String |
driverCompletion | in | DriverCompletionOptions |
conAttrsPost | in | int[] |
conAttrsIndicatorsPost | in | int[] |
conAttrsValuesPost | in | any[] |
session | out | ISessionHolder |
environment | out | IEnvironmentHolder |
envAttrsStatus | out | IntSeqHolder |
connection | out | IConnectionHolder |
conAttrsStatusPre | out | IntSeqHolder |
outConnectionString | out | org.omg.CORBA.StringHolder |
conAttrsStatusPost | out | IntSeqHolder |

Example